{ pkgs, ... }:
{
  services.rsyslogd = {
    enable = true;
    defaultConfig = ''
      :programname, isequal, "postfix" /var/log/postfix.log

      auth.*                          -/var/log/auth.log
    '';
  };
  services.logrotate.configFile = pkgs.writeText "logrotate.conf" ''
    weekly
    missingok
    notifempty
    rotate 4
    "/var/log/postfix.log" {
      compress
      delaycompress
      weekly
      rotate 156
    }
    "/var/log/caddy/*.log" {
      compress
      delaycompress
      weekly
      rotate 26
    }
  '';
}
